<template>
    <modal name="modal-additional-services"
           class="arcticmodal-container"
           :clickToClose="false"
           :height="'auto'"
           :adaptive="true"
           @before-open="beforeOpen">
        <div class="container m-header" style="margin-bottom: 30px;">
            <div
                    @click="close()"
                    class="box-modal_close arcticmodal-close"></div>
            <div class="row">
                <div class="column">
                    <h3>Дополнительные услуги</h3>
                </div>
            </div>
        </div>

        <!-- страховка -->
        <div class="service-row" v-if="!insured && insureAllowed">
            <div class="ui-checkbox">
                <ui-checkbox v-model="setInsured" v-if="displayCheckbox"></ui-checkbox>
                <p v-if="displayCheckbox">Я хочу застраховать займ на {{params.insuredAmount}} руб. за {{params.insuredPrice}} руб. сроком на 30 дней. <a target="_blank" @click.prevent="openPopup('http://static.webbankir.com/public/docs/insurance-rules.pdf')" href="#">Правила страхования.</a></p>
                <p v-else="displayCheckbox">Вы уверены, что не хотите застраховать займ на {{params.insuredAmount}} рублей за {{params.insuredPrice}} рублей сроком на 30 дней. <a target="_blank" @click.prevent="openPopup('http://static.webbankir.com/public/docs/insurance-rules.pdf')" href="#">Правила страхования.</a></p>
            </div>
        </div>
        <!-- КОНЕЦ страховка -->

        <!-- юр.услуги -->
        <div class="service-row" v-if="!legal && legalAllowed">
            <div class="ui-checkbox">
                <ui-checkbox v-model="setLegal" v-if="displayCheckbox"></ui-checkbox>
                <p v-if="displayCheckbox">Я нуждаюсь в юридической защите за {{params.legalPrice}} руб. на {{params.legalPeriod}} {{$helpers.plural(params.legalPeriod, ['месяц', 'месяца', 'месяцев'])}}. <a target="_blank" @click.prevent="openPopup('https://new.webbankir.com/lk/static/docs/legal_rules.pdf')" href="#">Правила действия сертификата.</a></p>
                <p v-else>Вы уверены, что не нуждаетесь в юридической защите за {{params.legalPrice}} руб. на {{params.legalPeriod}} {{$helpers.plural(params.legalPeriod, ['месяц', 'месяца', 'месяцев'])}} и сможете самостоятельно отстоять свои права и при этом сэкономить деньги? Правила действия сертификата <a target="_blank" @click.prevent="openPopup('https://new.webbankir.com/lk/static/docs/legal_rules.pdf')" href="#">Правила действия сертификата.</a></p>
            </div>
        </div>
        <!-- КОНЕЦ юр.услуги -->

        <div class="buttons">
            <div v-if="displayCheckbox">
                <button @click="send" v-if="setLegal || setInsured">Продолжить</button>
                <span class="link" @click="cancel" style="white-space: nowrap" v-if="setLegal || setInsured">Продолжить без услуг</span>
                <button  v-else @click="cancel">Подать заявку без доп. услуг</button>
            </div>
            <div v-else-if="!insured">
                <button @click="insure">Застраховать займ</button>
                <span class="link" @click="cancelWithoutInsure" style="white-space: nowrap">Продолжить без страховки</span>
            </div>
            <div v-else-if="!legal">
                <button @click="legalMe">Нуждаюсь в юр. защите</button>
                <span class="link" @click="cancelWithoutLegal" style="white-space: nowrap;margin-bottom: 40px;display: inline-block;">Отстою свои права самостоятельно</span>
            </div>
        </div>
    </modal>
</template>
<script>
  import {mapGetters} from 'vuex'
  export default {
    name: 'modal-additional-services',
    props: {
      legal: {
        type: Boolean,
        required: false,
        default: true
      },
      insured: {
        type: Boolean,
        required: false,
        default: true
      }
    },
    data () {
      return {
        time: 0,
        duration: 5000,
        params: {},
        setLegal: true,
        setInsured: true
      }
    },
    computed: {
      displayCheckbox () {
        return (!this.legal && !this.insured) && (this.insureAllowed && this.legalAllowed) && this.$config.legalEnabled
      },

      insureAllowed () {
        return this.$calculate.insurance && this.$calculate.insurance.status
      },

      legalAllowed () {
        return this.$calculate.legal && this.$calculate.legal.status && this.$config.legalEnabled
      }
    },
    methods: {
      close () {
        this.$emit({
          legal: this.setLegal,
          insure: this.setInsured,
        });
        this.$modal.hide('modal-additional-services');

      },
      beforeOpen (event) {
        this.params = event.params
        this.setLegal = this.legal ? this.legal : this.$calculate.legal.status;
        this.setInsured = this.insured ? this.insured : this.$calculate.insurance.status;
      },
      cancel () {
        this.$emit('answer', {
          insured: false,
          legal: false
        })
      },
      cancelWithoutInsure () {
        this.$emit('answer', {
          insured: false,
          legal: this.setLegal
        })
      },
      cancelWithoutLegal () {
        this.$emit('answer', {
          insured: this.setInsured,
          legal: false
        })
      },
      send () {
        this.$emit('answer', {
          insured: this.setInsured,
          legal: this.setLegal
        })
      },
      insure () {
        this.setInsured = true
        this.$emit('answer', {
          insured: this.setInsured,
          legal: this.setLegal
        })
      },
      legalMe () {
        this.setLegal = true
        this.$emit('answer', {
          insured: this.setInsured,
          legal: this.setLegal
        })
      }
    }
  }
</script>
<style scoped>
    .buttons button {
        text-align: center;
    }
    .service-row {
        padding: 10px 30px;
    }
    .buttons {
        padding: 10px 30px;
        text-align: center;
    }
</style>
